# Get optimization runs

Retrieve a list of optimization runs with analytics data

Endpoint: GET /optimization/runs
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Query parameters:

  - `platformId` (string)
    Filter by platform ID

  - `limit` (string)
    Number of results to return (default: 50)

  - `offset` (string)
    Number of results to skip (default: 0)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `runs` (array)

  - `runs.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `runs.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `runs.createdAt` (string)
    The date and time this Entity has been created

  - `runs.updatedAt` (string)
    The date and time this Entity has been updated

  - `runs.platformId` (string)

  - `runs.optimizationCreatedAt` (string)

  - `runs.requestDataJson` (string)

  - `runs.solutionDataJson` (string)

  - `runs.metricsJson` (string)

  - `runs.computationTimeMs` (integer)

  - `runs.algorithmVersion` (string)

  - `runs.status` (string)
    Enum: "RUNNING", "COMPLETED", "FAILED", "CANCELLED"

  - `runs.errorMessage` (string)

  - `total` (integer)

  - `limit` (integer)

  - `offset` (integer)

## Response 401 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


